<?php


function textwincoil_get_post_types() {

	$post_types = [
 		"blog_post" => [
			"label" => "מאמר",
			"description" => "A general overview of a topic or event",
		],
		"product_review" => [
			"label" => "ביקורת אובייקטיבית על מוצר",
			"description" => "An evaluation of a product",
		],
		"product_positive_review" => [
			"label" => "ביקורת חיובי על מוצר",
			"description" => "A review of a product, highlighting only the positive aspects",
		], 
		"service_review" => [
			"label" => "ביקורת אובייקטיבית על שירות",
			"description" => "A review of a service, including both pros and cons",
		],
		"positive_service_review" => [
			"label" => "ביקורת חיובית על שירות",
			"description" => "A review of a service, highlighting only the positive aspects",
		],   
		"how_to_guide" => [
			"label" => "מדריך",
			"description" => "Step by step instructions on how to complete a task or achieve a goal",
		],
		"listicle" => [
			"label" => "רשימה",
			"description" => "A list of items or tips related to a specific topic",
		],
		"news_article" => [
			"label" => "כתבת חדשות",
			"description" => "A report on current events or recent developments",
		],
		"case_study" => [
			"label" => "מקרה בוחן",
			"description" => "A detailed analysis of a specific situation or problem",
		],   
	];
	
	return $post_types;
	
}  
 

#add_action( 'admin_bar_menu', 'textwincoil_add_admin_bar_link', 100 );
function textwincoil_add_admin_bar_link( $wp_admin_bar ) {
    if ( ! current_user_can( 'manage_options' ) || !is_admin() ) {
        return;
    }
	$credits = get_option("textwincoil_user_credits");
    $wp_admin_bar->add_menu( array(
        'id'    => 'textwincoil-options-link',
        'title' => '<div class="header-logo"><span class="ia">T</span><span class="io">e</span><span class="ia">x</span><span class="io">t</span><span class="ia">W</span><span class="io">i</span><span class="ia">n</span></div> <div class="textwincoil-creditcount">'.number_format($credits).'</div> <div>קרדיטים</div>',
        'href'  => admin_url( 'options-general.php?page=textwincoil' ),
        'meta'  => array( 'class' => 'textwincoil-options-link' ),
    ) );
}



add_action( 'admin_menu', 'textwincoil_settings_page' );
function textwincoil_settings_page() {
    add_options_page(
        'TextWin Settings',
        'TextWin &#129504;',
        'manage_options',
        'textwincoil',
        'textwincoil_settings_page_render'
    );
}


